<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/supply_chain_bg_color"
    android:orientation="vertical">

    <include layout="@layout/supply_chain_top_bar" />

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingLeft="@dimen/dp_10"
        android:paddingTop="@dimen/dp_10"
        android:paddingRight="@dimen/dp_10">

        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_47"
            android:background="@drawable/shape_white_eight_corners_bg"
            app:elevation="@dimen/dp_0"
            app:layout_scrollFlags="scroll|enterAlways">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/dp_24"
                    android:layout_height="@dimen/dp_24"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:src="@drawable/ic_search" />

                <EditText
                    android:id="@+id/ed_inout_bound_search"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginRight="@dimen/dp_5"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="@string/str_search_sn"
                    android:imeOptions="actionSearch"
                    android:inputType="text"
                    android:maxLines="1"
                    android:textColor="@color/theme_333_color"
                    android:textColorHint="@color/hint_color"
                    android:textCursorDrawable="@drawable/cursor_theme"
                    android:textSize="@dimen/dp_16" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                    android:id="@+id/btn_inout_bound_record_search"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:text="搜索"
                    android:textColor="@color/theme_333_color"
                    android:textSize="@dimen/dp_14" />
            </LinearLayout>
            <!--            android:background="@drawable/shape_app_btn"-->
        </com.google.android.material.appbar.AppBarLayout>

        <!--        <com.scwang.smartrefresh.layout.SmartRefreshLayout-->
        <!--            android:id="@+id/srl_inout_bound_record"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="match_parent"-->
        <!--            app:layout_behavior="@string/appbar_scrolling_view_behavior">-->

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_inout_bound_record_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_10"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />
        <!--        </com.scwang.smartrefresh.layout.SmartRefreshLayout>-->
    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</LinearLayout>